> ## Documentation Index
> Fetch the complete documentation index at: https://opendonationassistant.mintlify.site/llms.txt
> Use this file to discover all available pages before exploring further.

# Put paymentscommandscomplete



## OpenAPI

````yaml /api-reference/oda-payment-service-1.0.0.yml put /payments/commands/complete
openapi: 3.0.1
info:
  title: oda-payment-service
  version: 1.0.0
servers: []
security: []
paths:
  /payments/commands/complete:
    put:
      operationId: complete
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/CompletePayment.CompletePaymentCommand'
        required: true
      responses:
        '200':
          description: complete 200 response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/CompletePayment.CompletePaymentResponse'
components:
  schemas:
    CompletePayment.CompletePaymentCommand:
      required:
        - id
        - paymentId
      type: object
      properties:
        id:
          type: string
        paymentId:
          type: string
    CompletePayment.CompletePaymentResponse:
      required:
        - id
        - status
      type: object
      properties:
        id:
          type: string
        status:
          type: string

````